<!DOCTYPE html>
 <html>
  <head> <!-- Entête HTML -->
    <meta charset="utf-8" />
    <title>Envoi de courriels</title>
  </head>
  <body>
 <?php
 define("WEB_EOL","<br/>"); // Pour les affichages Web
 define("MSG_EOL","\r\n") ; // Pour les messages
 // Champs "to" et "sujet"
 $sujet = "Calendrier des examens";
 // Plusieurs destinataires
 $to  = "Jean.Dupont@gmail.com" . ", "; // Attention à la virgule
 $to .= "Marc.Durand@laposte.net";

 // Message du courriel
 $message = '
 <html>
  <head>
  <title>Calendrier des examens</title>
  <style>
  * {color:black;
     font-family:"Arial" ;
     text-align:left;
     font-size:100%;
   }
  tr:nth-child(even) {background: #FFF9F9}
  tr:nth-child(odd) {background: #FFFFFF}
  table {
  border:2px solid #DF3F3F;
  border-collapse:collapse;
  width:500px;
  margin-left: 10px;
  margin-right: auto;  
  }
  thead, tfoot {
  background-color:#FFFF00;
  border:1px solid #DF3F3F;
  text-align:center; 
  }
  tbody {
  background-color:#FFFFFF;
  border:1px solid #DF3F3F;
  }
  th {
  border:1px solid #DF3F3F;
  padding:5px;
  background-color:#FFF3F3;
  width:20%;
  text-align:center;
  }
  td {
  font-size:90%;
  border:1px solid #DF3F3F;
  padding:5px;
  text-align:center;
  }
  caption {
  font-size:120%;
  text-align:center;
  color:#DF3F3F;
  font-weight:bold
  }
  </style>
  </head>
  <body>
  <h3>Veuillez trouver le calendrier des examens.</h3>
   <table>
   <table summary="Dates des examens">
   <caption>Calendier des examens</caption>
   <thead>
    <tr>
     <th>Matière</th><th>Jour</th><th>Mois</th><th>Heure</th><th>Durée</th><th>Salle</th>
    </tr>
   </thead>
   <tr><td>PHP</td><td>02</td><td>Décembre</td><td>09:30</td><td>3h</td><td>01</td></tr>
   <tr><td>SQL</td><td>02</td><td>Décembre</td><td>14:30</td><td>4h</td><td>02</td></tr>
   <tr><td>HTML</td><td>03</td><td>Décembre</td><td>10:00</td><td>2h30</td><td>18</td></tr>
   </table>
  </body>
 </html>
 ';
 // En-têtes additionnels
 $entete  = "From: Examen <noreply@monsite.com>".MSG_EOL;
 $entete .= "Reply-To: contact_examen@monsite.com".MSG_EOL;
 $entete .= 'Bcc: examen@monsite.com' . MSG_EOL;
 $entete .= 'Content-type: text/html; charset=utf-8' . MSG_EOL;
 $entete .= 'MIME-Version: 1.0' . MSG_EOL;
 // --- Envoi du courriel ---
 $EnvoieOK = mail($to, $sujet, $message, $entete);
 
 // Affichage sur la page Web de la confirmation de l'envoi du message
 if ($EnvoieOK)
 {
  echo "Le message a été envoyé correctement !".WEB_EOL.WEB_EOL;
  echo "à = $to".WEB_EOL;
  echo "sujet = $sujet".WEB_EOL;
  echo "entete = $entete".WEB_EOL.WEB_EOL;
  $message_web=str_replace(MSG_EOL,WEB_EOL,$message);
  echo "<b>Contenu du message : </b>".WEB_EOL.WEB_EOL;
  echo "$message_web".WEB_EOL;
 }
 else
  echo "Le message n'a été envoyé !".WEB_EOL;
 ?>
 </body>
</html>
